\begin{tabular}{|c|c|c|c|c|c|c|c|c|c|}
\hline 
\multirow{2}{*}{} & \multicolumn{4}{c|}{Create} & \multicolumn{3}{c|}{Delete} & \multicolumn{2}{c|}{SetData}\tabularnewline
\cline{2-10} 
 & Ok & NodeAlreadyExists & NoChildrenForEphemerals & NoNode & Ok & NotEmpty & NoNode & Ok & NoNode\tabularnewline
\hline 
\hline 
Nothing & df & i & 1 & 1 & 1 & i & 1 & 1 & 1\tabularnewline
\hline 
Create(C) & df & i & 1 & r & r & i & r &  & \tabularnewline
\hline 
Delete(D) & r & i & 1 & 1 & 1 & i & 1 &  & 1\tabularnewline
\hline 
SetData(S) & i & i & 1 & 1 & i & i & 1 & i & 1\tabularnewline
\hline 
\end{tabular}
